# QObject Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QObject(QObject parent)

### Constructor Properties

- prototype: The QObject prototype object

### Prototype Object Properties

- bool blockSignals(bool b)
- List children()
- void dumpObjectInfo()
- void dumpObjectTree()
- List dynamicPropertyNames()
- bool event(QEvent arg__1)
- bool eventFilter(QObject arg__1, QEvent arg__2)
- bool inherits(char classname)
- void installEventFilter(QObject arg__1)
- bool isWidgetType()
- void killTimer(int id)
- void moveToThread(Thread thread)
- QObject parent()
- Object property(char name)
- void removeEventFilter(QObject arg__1)
- void setParent(QObject arg__1)
- bool setProperty(char name, Object value)
- bool signalsBlocked()
- int startTimer(int interval)
- Thread thread()

### Instance Properties

QObject objects inherit properties from the QObject prototype object and also have the following properties.

- objectName